#!/usr/bin/env python

from time import sleep  # needed to make command "sleep" available
from gpiozero import Device, Servo # Needed for Servo control signals
# The older Raspberry Pi 1 or Pi Zero require to set the pin factory
from gpiozero.pins.pigpio import PiGPIOFactory

print("Content-type: text/html\n\n") # double line ending needed!
print("<html><head>")
print("")
print("</head><body>")


# Pin factory for older Raspberry Pi models
Device.pin_factory = PiGPIOFactory()

# Control line of Servo connected to pin 1_12 on Raspberry Pi
servoCAM    = Servo("BOARD12") # Blue cable
servoRearL  = Servo("BOARD11") # Yellow cable
servoFrontL = Servo("BOARD13") # Green cable
servoRearR  = Servo("BOARD15") # Purple cable
servoFrontR = Servo("BOARD19") # White cable

# Create variable for servo angle
servoAngle = 0.0


# Pop out camera
servoCAM.value = 1.0
sleep(0.0) # Give the servo arm some time to settle

# Turn left
servoRearL.value = -1.0
servoFrontL.value = -1.0
servoRearR.value = -1.0
servoFrontR.value = -1.0
sleep(5.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

# Turn right
servoRearL.value = 1.0
servoFrontL.value = 1.0
servoRearR.value = 1.0
servoFrontR.value = 1.0
sleep(5.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

# Drive Forward
servoRearL.value = -1.0
servoFrontL.value = -1.0
servoRearR.value = 1.0
servoFrontR.value = 1.0
sleep(2.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

# Drive Backward
servoRearL.value = 1.0
servoFrontL.value = 1.0
servoRearR.value = -1.0
servoFrontR.value = -1.0
sleep(2.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

# Drive left
servoRearL.value = -1.0
servoFrontL.value = 1.0
servoRearR.value = -1.0
servoFrontR.value = 1.0
sleep(2.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

# Drive right
servoRearL.value = 1.0
servoFrontL.value = -1.0
servoRearR.value = 1.0
servoFrontR.value = -1.0
sleep(2.0) # Give the servo arm some time to settle
servoRearL.value = 0.0
servoFrontL.value = 0.0
servoRearR.value = 0.0
servoFrontR.value = 0.0
sleep(1.0) # Give the servo arm some time to settle

# Park camera
servoCAM.value = -0.80

print("</body></html>")


